namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "frustration")]
public class Frustration : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        var friendship = move.User.Happiness;
        basePower = Math.Max((byte)1, (byte)((255 - friendship) * 2 / 5));
    }
}